Subject: RE: bug#34939: Some minibuffer behaviour is annoying

From: Drew Adams <[email-masked]>
Date: Sat, 23 Mar 2019 08:51:58 -0700 (PDT)

> > And when it's shows, I simply have to wait the second or so for it to go
> > away and to see the minibuffer again (patiently staying away from C-g).
> 
> Doesn't some innocent key, like the right arrow, end the wait
> immediately?

I've wondered from time to time how we might
unobtrusively let more users know whenever a
message to the echo area would be removed upon
a user action.

E.g., `sit-for' behavior (not `sleep-for') is
invisible and unknown to many users.  That's
generally as it should be (unobtrusive), but
I've still wondered if there isn't some subtle
way to indicate to observant users that Emacs
is waiting only passively, i.e., in an easily
interruptible way.

A tiny indication in the mode line or the
echo area perhaps?  Something (e.g. one char)
that at least some users might notice, wonder
about, and investigate to find out that what it
indicates.  Kind of like the mode-line
indications of current status (CS:CH:FR) that
many users learn about (but perhaps many users
never bother to find out about).  Probably the
echo area would be the right place for this,
perhaps as a prefix?  Maybe one or two chars
such as "| ".  (Or perhaps there's an emoticon
char that signifies something relevant?)